LoggerFactory (SLF4J 1.7.28 API)
Date: 2019-08-10

org.slf4j

## Class LoggerFactory

- java.lang.Object
- - org.slf4j.LoggerFactory

-     public final class LoggerFactory
      extends Object

  The `LoggerFactory` is a utility class producing Loggers for various logging APIs, most notably for log4j, logback and JDK 1.4 logging. Other implementations such as `NOPLogger` and `SimpleLogger` are also supported.

  `LoggerFactory` is essentially a wrapper around an `ILoggerFactory` instance bound with `LoggerFactory` at compile time.

  Please note that all methods in `LoggerFactory` are static.
  Author:
    Alexander Dorokhine, Robert Elliot, Ceki Gülcü

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ILoggerFactory` | `getILoggerFactory()` Return the `ILoggerFactory` instance in use.
    `static Logger` | `getLogger(Class<?> clazz)` Return a logger named corresponding to the class passed as parameter, using the statically bound `ILoggerFactory` instance.
    `static Logger` | `getLogger(String name)` Return a logger named according to the name parameter using the statically bound `ILoggerFactory` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getLogger

          public static Logger getLogger(String name)

      Return a logger named according to the name parameter using the statically bound `ILoggerFactory` instance.
      Parameters:
        `name` - The name of the logger.
      Returns:
        logger

    - #### getLogger

          public static Logger getLogger(Class<?> clazz)

      Return a logger named corresponding to the class passed as parameter, using the statically bound `ILoggerFactory` instance.

      In case the the `clazz` parameter differs from the name of the caller as computed internally by SLF4J, a logger name mismatch warning will be printed but only if the `slf4j.detectLoggerNameMismatch` system property is set to true. By default, this property is not set and no warnings will be printed even in case of a logger name mismatch.

      Parameters:
        `clazz` - the returned logger will be named after clazz
      Returns:
        logger
      See Also:
        Detected logger name mismatch

    - #### getILoggerFactory

          public static ILoggerFactory getILoggerFactory()

      Return the `ILoggerFactory` instance in use.

      ILoggerFactory instance is bound with this class at compile time.
      Returns:
        the ILoggerFactory instance in use

Copyright © 2005–2019 QOS.ch. All rights reserved.